#include <bits/stdc++.h>

using namespace std;
string ob(string p)
{
    int n=p.length();
    string p1="";
    for (int i=n-1; i>=0; --i){
        p1+=p[i];
    }
    return p1;
}
int main()
{
    string x,y;
    getline(cin,x);
    getline(cin,y);
    string s="";
    int xd=x.length();
    int yd=y.length();
    if (yd>xd){
        string qw=y;
        y=x;
        x=qw;
        int qwe=yd;
        yd=xd;
        xd=qwe;
    }
    x=ob(x);
    y=ob(y);
    for (int i=0; i<yd; ++i){
        if (int(x[i])>=int(y[i])){
            s=s+x.substr(i,1);
        }
        if (int(y[i])>=int(x[i])){
            s=s+y.substr(i,1);
        }
    }
    s+=x.substr(yd, xd-yd);
    s=ob(s);
    cout<<s;
    return 0;
}